Package org.tmatesoft.svn.core.wc2

# Class AbstractSvnUpdate<V>

java.lang.Object
org.tmatesoft.svn.core.wc2.SvnOperation<V>
org.tmatesoft.svn.core.wc2.AbstractSvnUpdate<V>

All Implemented Interfaces:
  `ISvnOperationOptionsProvider`

Direct Known Subclasses:
  `SvnCheckout`, `SvnExport`, `SvnSwitch`, `SvnUpdate`

public abstract class AbstractSvnUpdate<V> extends SvnOperation<V>
Provides methods allowing to check out, update, switch and relocate a working copy as well as export an unversioned directory or file from a repository.

Version:
  1.7
Author:
  TMate Software Ltd.
See Also:
  - `SvnCheckout`
  - `SvnExport`
  - `SvnUpdate`
  - `SvnSwitch`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractSvnUpdate(SvnOperationFactory factory)`

## Method Summary

Modifier and Type
Method
Description
`ISvnExternalsHandler`
`getExternalsHandler()`
Gets externals handler.
`boolean`
`isAllowUnversionedObstructions()`
Gets whether or not to allow tolerating unversioned items during update.
`boolean`
`isIgnoreExternals()`
Gets whether or not externals definitions should be ignored.
`boolean`
`isUpdateLocksOnDemand()`
Gets whether or not locks should be updated on demand.
`void`
`setAllowUnversionedObstructions(boolean allowUnversionedObstructions)`
Set whether or not to allow tolerating unversioned items during update.
`void`
`setExternalsHandler(ISvnExternalsHandler externalsHandler)`
Sets externals handler.
`void`
`setIgnoreExternals(boolean ignoreExternals)`
Sets whether or not externals definitions should be ignored.
`void`
`setUpdateLocksOnDemand(boolean updateLocksOnDemand)`
Sets whether or not locks should be updated on demand.

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

`addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, initDefaults, isCancelled, isChangesWorkingCopy, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractSvnUpdate

protected AbstractSvnUpdate(SvnOperationFactory factory)

## Method Details

### isIgnoreExternals

public boolean isIgnoreExternals()
Gets whether or not externals definitions should be ignored.

Returns:
  `true` if externals definitions should be ignored, otherwise `false`

### setIgnoreExternals

public void setIgnoreExternals(boolean ignoreExternals)
Sets whether or not externals definitions should be ignored.

Parameters:
  `ignoreExternals` - code>true if externals definitions should be ignored, otherwise `false`

### isUpdateLocksOnDemand

public boolean isUpdateLocksOnDemand()
Gets whether or not locks should be updated on demand. Only relevant for 1.6 working copies.

Returns:
  `true` if locks should be updated on demand, otherwise `false`

### setUpdateLocksOnDemand

public void setUpdateLocksOnDemand(boolean updateLocksOnDemand)
Sets whether or not locks should be updated on demand. Only relevant for 1.6 working copies.

Parameters:
  `updateLocksOnDemand` - `true` if locks should be updated on demand, otherwise `false`

### isAllowUnversionedObstructions

public boolean isAllowUnversionedObstructions()
Gets whether or not to allow tolerating unversioned items during update.

Returns:
  `true` if allow tolerating unversioned items during update, otherwise `false`

### setAllowUnversionedObstructions

public void setAllowUnversionedObstructions(boolean allowUnversionedObstructions)
Set whether or not to allow tolerating unversioned items during update.

Parameters:
  `allowUnversionedObstructions` - `true` if allow tolerating unversioned items during update, otherwise `false`

### getExternalsHandler

public ISvnExternalsHandler getExternalsHandler()
Gets externals handler.

Returns:
  externals handler

### setExternalsHandler

public void setExternalsHandler(ISvnExternalsHandler externalsHandler)
Sets externals handler.

Parameters:
  `externalsHandler` - object to handle the externals